summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorLorenzo Miori <memoryS60@gmail.com>2014-12-31 12:04:44 +0100
committerSolomon Peachy <pizza@shaftnet.org>2020-07-07 17:51:41 +0000
commit2dd6633d71520599ced688d83a00fc127a2e8d6b (patch)
tree173cfc901aabdac9f374e1368b0baff182e02c43
parent3016d74c5ad456c41850fffeb6d637d4c0fde2fd (diff)
downloadrockbox-2dd6633.tar.gz
rockbox-2dd6633.zip
ypr0 - ypr1: dynamically move rockbox executable
This trivial patch wants to exploit /tmp filesystem to place Rockbox executable. Why that? It will be then possible to easily unlock & umount the storage partition, in order to provide Rockbox itself a mean for RAW storage access. In turn, this will allow a Rockbox-handled USB Mass Storage support, as well as other goodies (storage info is one I can think of). It takes way less than a second so it doesn't hurt boot time. Moreover, YPR0/YPR1 targets have plenty (64MB) of RAM, so the humble half meg executable won't hurt at all. Change-Id: Ibc9d9a40712e924c8e19cfd7c62189b182f0401a
-rwxr-xr-xutils/ypr0tools/rockbox.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/utils/ypr0tools/rockbox.sh b/utils/ypr0tools/rockbox.sh
index d86aff5d53..af750034fc 100755
--- a/utils/ypr0tools/rockbox.sh
+++ b/utils/ypr0tools/rockbox.sh
@@ -64,5 +64,12 @@ mount --bind /mnt/media0/.rockbox /.rockbox
mount --bind /mnt/media0/Playlists /Playlists
MAINFILE="/mnt/media0/.rockbox/rockbox"
+# Attempt to copy the executable in the /tmp directory
+# This allows an easier USB Mass Storage Mode to be achieved (file handles)
+cp $MAINFILE /tmp/rockbox
+if [ $? -eq 0 ]
+then
+ MAINFILE="/tmp/rockbox"
+fi
MAINFILE_ARGV=''
MAINFILE_REDIRECT='>/dev/null 2>&1'